import request from '@/utils/request'

// 查询会议记录列表
export function listMeeting(query) {
  return request({
    url: '/invest/meeting/list',
    method: 'get',
    params: query
  })
}

// 查询会议记录详细
export function getMeeting(id) {
  return request({
    url: '/invest/meeting/' + id,
    method: 'get'
  })
}

// 新增会议记录
export function addMeeting(data) {
  return request({
    url: '/invest/meeting',
    method: 'post',
    data: data
  })
}

// 修改会议记录
export function updateMeeting(data) {
  return request({
    url: '/invest/meeting',
    method: 'put',
    data: data
  })
}

// 删除会议记录
export function delMeeting(id) {
  return request({
    url: '/invest/meeting/' + id,
    method: 'delete'
  })
}


// 新增打分
export function addScoring(data) {
  return request({
    url: '/invest/scoring',
    method: 'post',
    data: data
  })
}

// 获取打分详细信息
export function getScoring(id) {
  return request({
    url: '/invest/scoring/' + id,
    method: 'get'
  })
}


// 根据会议ID查询是否打分和打分数据
export function getCanScoringMeetingId(id) {
  return request({
    url: '/invest/scoring/getCanScoringMeetingId',
    method: 'get',
    params: {meetingId:id}
    
  })
}

// 根据会议ID查询汇总分数和平均分数
export function selectMeetingId(id) {
  return request({
    url: '/invest/scoring/selectMeetingId',
    method: 'get',
    params: {meetingId:id}
    
  })
}

