import request from '@/utils/request'

// 查询项目池列表
export function listPool(query) {
  return request({
    url: '/invest/pool/list',
    method: 'get',
    params: query
  })
}

// 查询项目池详细
export function getPool(id) {
  return request({
    url: '/invest/pool/' + id,
    method: 'get'
  })
}

// 新增项目池
export function addPool(data) {
  return request({
    url: '/invest/pool',
    method: 'post',
    data: data
  })
}

// 修改项目池
export function updatePool(data) {
  return request({
    url: '/invest/pool',
    method: 'put',
    data: data
  })
}

// 删除项目池
export function delPool(id) {
  return request({
    url: '/invest/pool/' + id,
    method: 'delete'
  })
}
// 修改项目池状态
export function editStage(data) {
  return request({
    url: '/invest/pool/editStage',
    method: 'put',
    data: data
  })
}

// 根据项目ID获取项目流转记录
export function listProjectPoolId(id) {
  return request({
    url: '/system/circulation/listProjectPoolId',
    method: 'get',
    params: {projectPoolId:id}
  })
}

// 尽调
// 根据项目ID获取尽调数据
export function getlistProjectPoolId(id) {
  return request({
    url: '/invest/investigate/listProjectPoolId',
    method: 'get',
    params: {projectPoolId:id}
    
  })
}

// 新增尽调关联
export function addInvestigate(data) {
  return request({
    url: '/invest/investigate',
    method: 'post',
    data: data
  })
}

// 修改尽调关联
export function updateInvestigate(data) {
  return request({
    url: '/invest/investigate',
    method: 'put',
    data: data
  })
}

//  获取尽调人员关联表详细信息
export function getProjectInvestigateId(id) {
  return request({
    url: '/invest/person/getProjectInvestigateId',
    method: 'get',
    params: {projectInvestigateId:id}
    
  })
}

// 新增尽调人员关联表
export function addInvestigatePerson(data) {
  return request({
    url: '/invest/person',
    method: 'post',
    data: data
  })
}

//  /dev-api/invest/investigate/list
export function getInvestigatelist(id) {
  return request({
    url: '/invest/investigate/list',
    method: 'get',
    params: {projectPoolId:id}
    
  })
}

// 删除尽调关联
export function delInvestigate(id) {
  return request({
    url: '/invest/investigate/' + id,
    method: 'delete'
  })
}
